﻿// <auto-generated />
using System;
using Microsoft.EntityFrameworkCore;
using Microsoft.EntityFrameworkCore.Infrastructure;
using Microsoft.EntityFrameworkCore.Migrations;
using Microsoft.EntityFrameworkCore.Storage.ValueConversion;
using Npgsql.EntityFrameworkCore.PostgreSQL.Metadata;
using TP2console.Models.EntityFramework;

namespace API_Web_ASP.NET_Core.Migrations
{
    [DbContext(typeof(WSFilmsContext))]
    [Migration("20211008142406_EditMailColumn")]
    partial class EditMailColumn
    {
        protected override void BuildTargetModel(ModelBuilder modelBuilder)
        {
#pragma warning disable 612, 618
            modelBuilder
                .HasDefaultSchema("public")
                .HasAnnotation("Relational:Collation", "French_France.1252")
                .HasAnnotation("Relational:MaxIdentifierLength", 63)
                .HasAnnotation("ProductVersion", "5.0.10")
                .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn);

            modelBuilder.Entity("API_Web_ASP.NET_Core.Models.EntityFramework.Compte", b =>
                {
                    b.Property<int>("CompteId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasColumnName("CPT_ID")
                        .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn);

                    b.Property<string>("CodePostal")
                        .IsRequired()
                        .HasColumnType("char(5)")
                        .HasColumnName("CPT_CP");

                    b.Property<DateTime>("DateCreation")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("date")
                        .HasColumnName("CPT_DATECREATION")
                        .HasDefaultValueSql("current_date");

                    b.Property<float?>("Latitude")
                        .HasColumnType("real")
                        .HasColumnName("CPT_LATITUDE");

                    b.Property<float?>("Longitude")
                        .HasColumnType("real")
                        .HasColumnName("CPT_LONGITUDE");

                    b.Property<string>("Mel")
                        .IsRequired()
                        .HasMaxLength(100)
                        .HasColumnType("varchar(100)")
                        .HasColumnName("CPT_MEL");

                    b.Property<string>("Nom")
                        .IsRequired()
                        .HasColumnType("varchar(50)")
                        .HasColumnName("CPT_NOM");

                    b.Property<string>("Pays")
                        .IsRequired()
                        .ValueGeneratedOnAdd()
                        .HasColumnType("varchar(50)")
                        .HasDefaultValue("France")
                        .HasColumnName("CPT_PAYS");

                    b.Property<string>("Prenom")
                        .IsRequired()
                        .HasColumnType("varchar(50)")
                        .HasColumnName("CPT_PRENOM");

                    b.Property<string>("Pwd")
                        .HasColumnType("varchar(64)")
                        .HasColumnName("CPT_PWD");

                    b.Property<string>("Rue")
                        .IsRequired()
                        .HasColumnType("varchar(200)")
                        .HasColumnName("CPT_RUE");

                    b.Property<string>("TelPortable")
                        .HasColumnType("char(10)")
                        .HasColumnName("CPT_TELPORTABLE");

                    b.Property<string>("Ville")
                        .IsRequired()
                        .HasColumnType("varchar(50)")
                        .HasColumnName("CPT_VILLE");

                    b.HasKey("CompteId")
                        .HasName("compte_pk");

                    b.HasIndex("Mel")
                        .IsUnique();

                    b.ToTable("T_E_COMPTE_CPT");
                });

            modelBuilder.Entity("API_Web_ASP.NET_Core.Models.EntityFramework.Favori", b =>
                {
                    b.Property<int>("CompteId")
                        .HasColumnType("integer")
                        .HasColumnName("CPT_ID");

                    b.Property<int>("FilmId")
                        .HasColumnType("integer")
                        .HasColumnName("FLM_ID");

                    b.Property<string>("Commentaire")
                        .HasColumnType("varchar(500)")
                        .HasColumnName("FAV_COMMENTAIRE");

                    b.Property<int?>("Compte")
                        .HasColumnType("integer");

                    b.Property<int?>("Film")
                        .HasColumnType("integer");

                    b.HasKey("CompteId", "FilmId")
                        .HasName("favoris_pk");

                    b.HasIndex("FilmId");

                    b.ToTable("T_J_FAVORI_FAV");
                });

            modelBuilder.Entity("TP2console.Models.EntityFramework.Film", b =>
                {
                    b.Property<int>("FilmId")
                        .ValueGeneratedOnAdd()
                        .HasColumnType("integer")
                        .HasColumnName("FLM_ID")
                        .HasAnnotation("Npgsql:ValueGenerationStrategy", NpgsqlValueGenerationStrategy.IdentityByDefaultColumn);

                    b.Property<DateTime>("DateParution")
                        .HasColumnType("date")
                        .HasColumnName("FLM_DATEPARUTION");

                    b.Property<decimal>("Duree")
                        .HasColumnType("numeric(3,0)")
                        .HasColumnName("FLM_DUREE");

                    b.Property<string>("Genre")
                        .IsRequired()
                        .HasColumnType("varchar(30)")
                        .HasColumnName("FLM_GENRE");

                    b.Property<string>("Synopsis")
                        .HasColumnType("varchar(500)")
                        .HasColumnName("FLM_SYNOPSIS");

                    b.Property<string>("Titre")
                        .IsRequired()
                        .HasColumnType("varchar(100)")
                        .HasColumnName("FLM_TITRE");

                    b.Property<string>("UrlPhoto")
                        .HasColumnType("varchar(200)")
                        .HasColumnName("FLM_URLPHOTO");

                    b.HasKey("FilmId")
                        .HasName("film_pk");

                    b.ToTable("T_E_FILM_FLM");
                });

            modelBuilder.Entity("API_Web_ASP.NET_Core.Models.EntityFramework.Favori", b =>
                {
                    b.HasOne("API_Web_ASP.NET_Core.Models.EntityFramework.Compte", "CompteFavori")
                        .WithMany("Favoris")
                        .HasForeignKey("CompteId")
                        .HasConstraintName("fk_favoris_compte")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.HasOne("TP2console.Models.EntityFramework.Film", "FilmFavori")
                        .WithMany("Favoris")
                        .HasForeignKey("FilmId")
                        .HasConstraintName("fk_favoris_film")
                        .OnDelete(DeleteBehavior.Cascade)
                        .IsRequired();

                    b.Navigation("CompteFavori");

                    b.Navigation("FilmFavori");
                });

            modelBuilder.Entity("API_Web_ASP.NET_Core.Models.EntityFramework.Compte", b =>
                {
                    b.Navigation("Favoris");
                });

            modelBuilder.Entity("TP2console.Models.EntityFramework.Film", b =>
                {
                    b.Navigation("Favoris");
                });
#pragma warning restore 612, 618
        }
    }
}
